aboutsummaryrefslogtreecommitdiff
path: root/package/pulseview
diff options
context:
space:
mode:
authorGravatar Romain Naour <romain.naour@openwide.fr>2015-05-19 13:09:57 +0200
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2015-05-20 23:25:53 +0200
commit914c950df3df6f4436ef43c235d970e009cdd2b1 (patch)
tree761ddaa8c88197265c87a4bde94f4e9fea32df40 /package/pulseview
parentffee06d2e3c81db0dde4c29ea6ddb047116d3296 (diff)
downloadbuildroot-914c950df3df6f4436ef43c235d970e009cdd2b1.tar.gz
buildroot-914c950df3df6f4436ef43c235d970e009cdd2b1.tar.bz2
package/libsigrok: blacklist CS powerpc toolchains
Even though BR2_PACKAGE_LIBSIGROKCXX is selected, the C++ binding is disabled due to lack of C++11 support in the toolchain. Configure output: Enabled language bindings: - C++............................. no (C++11 compiler required) So disable libsigrok C++ binding and pulseview for CS powerpc toolchains. Fixes: http://autobuild.buildroot.net/results/737/737453011ac0d13ab197258171ffa0f81bc4c368/ [Thomas: use 'depends on !foo && !bar' instead of 'depends on !(foo || bar)', seems it looks more logical in this situation.] Signed-off-by: Romain Naour <romain.naour@openwide.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/pulseview')
-rw-r--r--package/pulseview/Config.in5
1 files changed, 5 insertions, 0 deletions
diff --git a/package/pulseview/Config.in b/package/pulseview/Config.in
index df27cde5dc..2fb844baef 100644
--- a/package/pulseview/Config.in
+++ b/package/pulseview/Config.in
@@ -16,6 +16,9 @@ config BR2_PACKAGE_PULSEVIEW
depends on BR2_USE_MMU
depends on BR2_INSTALL_LIBSTDCPP
depends on BR2_PACKAGE_BOOST_ARCH_SUPPORTS
+ # libsigrok
+ depends on !BR2_TOOLCHAIN_EXTERNAL_CODESOURCERY_POWERPC201103 && \
+ !BR2_TOOLCHAIN_EXTERNAL_CODESOURCERY_POWERPC201009
help
PulseView is a Qt based logic analyzer, oscilloscope
and MSO GUI for sigrok.
@@ -27,3 +30,5 @@ comment "pulseview needs a toolchain w/ wchar, threads, C++"
depends on BR2_PACKAGE_QT5
depends on BR2_PACKAGE_BOOST_ARCH_SUPPORTS
depends on !BR2_USE_WCHAR || !BR2_TOOLCHAIN_HAS_THREADS || !BR2_INSTALL_LIBSTDCPP
+ depends on !BR2_TOOLCHAIN_EXTERNAL_CODESOURCERY_POWERPC201103 && \
+ !BR2_TOOLCHAIN_EXTERNAL_CODESOURCERY_POWERPC201009